/**
 * @file
 * Site header.
 */

@import "../00_base/media-queries.pcss.css";

.site-header {
  position: relative;
  /**
   * Ensure mobile site header is always above other elements including
   * contextual links, quick-edit, and Tour.
   */
  z-index: 101;
  margin-bottom: var(--box-padding); /* This can't be margin because bg-color would not be applied consistently */

  /* @media (--nav) {*/
    /* Necessary to keep the content from jumping up when header transitions to fixed. */
    min-height: var(--site-header-height-wide);
    border-block-end: solid 1px transparent; /* Will show in Windows high contrast mode. */
  /* }*/
}

.site-header__fixable {
  display: flex;
  align-items: flex-end;
  /* transition: all 0.5s; */

  /* &.is-fixed {
    @media (--nav) {
      &:not(.is-expanded) {
        pointer-events: none;
      }
    }
  }*/
}

/* Set top value to 0 for small devices, is-fixed class is applied to all devices */
body:not(.is-always-mobile-nav) {
  & .site-header__fixable.is-fixed {
    position: fixed;
    z-index: 102; /* Appear above body content that is position: relative */
    inset-block-start: 0;
    left: 0;
    right: 0;
    max-width: var(--max-bg-color);
  }

  /* Toolbar is fixed, and tray is either vertical or closed and horizontal. */
  &.toolbar-vertical.toolbar-fixed,
  &.toolbar-horizontal.toolbar-fixed {
    & .site-header__fixable.is-fixed {
      /* inset-block-start: 0;*/
      position: relative;
      top: inherit !important;
    }
  }
  /* Toolbar is fixed, and tray is open and horizontal. */
  &.toolbar-horizontal.toolbar-fixed.toolbar-tray-open .site-header__fixable.is-fixed {
    inset-block-start: 0;
  }
}

@media (--nav) {
  body:not(.is-always-mobile-nav) {
    /*& .site-header__fixable.is-fixed {
      inset-block-start: calc(-1 * var(--sp4));
    }*/

    /* Toolbar is fixed, and tray is either vertical or closed and horizontal. */
    &.toolbar-vertical.toolbar-fixed,
    &.toolbar-horizontal.toolbar-fixed {
      & .site-header__fixable.is-fixed {
        inset-block-start: calc(var(--toolbar-height));
      }
    }
    /* Toolbar is fixed, and tray is open and horizontal. */
    &.toolbar-horizontal.toolbar-fixed.toolbar-tray-open .site-header__fixable.is-fixed {
      inset-block-start: calc(var(--toolbar-tray-height) + var(--toolbar-height));
    }
  }
}

.site-header__inner {
  z-index: 1; /* Appear in front of Drupal's tabs. */
  flex-grow: 1;
  max-width: var(--max-width);
  margin-inline: auto;
  /* background: var(--color--white); */
  display: flex;
  justify-content: space-between;
  box-shadow: var(--h4c-olive--box-shadow--header);  
  background-color: var(--color--white);
  padding-inline: var(--box-padding);
}

.site-header__inner {
  border-bottom-left-radius: var(--border-radius);
  border-bottom-right-radius: var(--border-radius);
}

@media (--nav) {
  .site-header__inner {
    border-radius: var(--border-radius);
  }
  .is-fixed .site-header__inner {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
}

.site-branding__logo img {
  padding: 10px 0;
  object-fit: contain;
  max-height: var(--site-header-height);
}

@media (--nav-md) {
  .site-branding__logo img {
    max-height: var(--site-header-height-wide);
  }
}

